rte_regexdev_qp_conf(3)

NAME
rte_regexdev_qp_conf

SYNOPSIS

#include <rte_regexdev.h>

  Data Fields

uint32_t qp_conf_flags
uint16_t nb_desc
regexdev_stop_flush_t cb

Detailed Description

RegEx queue pair configuration structure

Definition at line 766 of file rte_regexdev.h.

Field Documentation

  uint32_t qp_conf_flags
Queue pair config flags, See RTE_REGEX_QUEUE_PAIR_CFG_*

Definition at line 767 of file rte_regexdev.h.

  uint16_t nb_desc
The number of descriptors to allocate for this queue pair.

Definition at line 769 of file rte_regexdev.h.

  regexdev_stop_flush_t cb
Callback function called during rte_regexdev_stop(), invoked once per flushed regex op. Value NULL is allowed, in which case callback will not be invoked. This function can be used to properly dispose of outstanding regex ops from response queue, for example ops containing memory pointers.

See also
    rte_regexdev_stop()

Definition at line 771 of file rte_regexdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.